gtkmm: Gtk::Menu_Helpers::MenuElem Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# Gtk::Menu_Helpers::MenuElem Class Reference
Menu classes

Use this class and its subclasses to build menu items. More...

Inheritance diagram for Gtk::Menu_Helpers::MenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::MenuElem:
[legend]

List of all members.

## Public Member Functions
| MenuElem (MenuItem& child)
| MenuElem (const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot.
| MenuElem (const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated MenuItem with a sigc::slot.
| MenuElem (const Glib::ustring& label, Gtk::Menu& submenu)
| Create a labeled, non-accelerated MenuItem with a submenu.
| MenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Menu& submenu)
| Create a labeled, accelerated MenuItem with a submenu.

## Detailed Description

Use this class and its subclasses to build menu items.

For example,

     m_Menu_File.items().push_back( Gtk::Menu_Helpers::MenuElem("_New",
       sigc::mem_fun(*this, &ExampleWindow::on_menu_file_new) ) );

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const CallSlot & | slot = `CallSlot()`
| ) |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters:

  label | The menu item's name
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | const CallSlot & | slot = `CallSlot()`
| ) |  |

Create a labeled, accelerated MenuItem with a sigc::slot.

Parameters:

  label | The menu item's name
  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Menu& | submenu
| ) |  |

Create a labeled, non-accelerated MenuItem with a submenu.

Parameters:

  label | The menu item's name
  submenu | The sub menu

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Menu& | submenu
| ) |  |

Create a labeled, accelerated MenuItem with a submenu.

Parameters:

  label | The menu item's name
  key | The accelerator key combination
  submenu | The sub menu

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h